<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="http://projets.admisource.gouv.fr/xemelios/technical/schemas/xsd2html.xsl"?>
<xs:schema
    xmlns:xs="http://www.w3.org/2001/XMLSchema">
    
    <xs:include schemaLocation="TParameters.xsd"/>
    
    <xs:complexType name="TWidget">
        <xs:annotation>
            <xs:documentation>
                Un widget est un composant accessible depuis un clic-droit sur une ligne de tableau de resultat de recherche.
            </xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="parameter" type="TParameter" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="optional"/>
        <xs:attribute name="class" type="xs:string" use="required">
            <xs:annotation><xs:documentation>La classe java à utiliser pour ce widget</xs:documentation></xs:annotation>
        </xs:attribute>
        <xs:attribute name="libelle" type="xs:string" use="required">
            <xs:annotation><xs:documentation>Le libellé à présenter à l'utilisateur</xs:documentation></xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
</xs:schema>